/**
 * All Exception classes look like this.
 * You define your own exception class to distinguish
 * your exceptions from any other kind.  The implementation
 * consists of a default constructor, and a constructor
 * that takes a simple message string as an argument.
 * Both constructors call super() to ensure that the
 * instance is properly initialized.
 *
 * @see java.lang.Exception
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.0 1998-11-25
 */
public class AssertionException extends Exception {
	AssertionException() { super(); }
	AssertionException(String s) { super(s); }
}
