import java.io.*;
/**
 * Interface for TicTacToe and Gomoku.
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.6 1999-02-04
 */
public interface BoardGame {
	public void update() throws IOException;
	public void move(String coord, char mark)
		throws AssertionException;
	public Player currentPlayer();
	public Player winner();
	public char get(int col, int row)
		throws AssertionException;
	public boolean notOver();
	public int squaresLeft();
	public boolean inRange(int col, int row);
	public void test();
}
